<?php
/**
 * WP Ads.txt & App-ads.txt
 *
 * @package   wp-ads-txt
 * @author    orcapia.com
 * @license   GPL
 * @link      https://www.orcapia.com/plugins/plugin-wp-ads-txt/
 * @compiler      3.40.31
 * @copyright 2016-2023 orcapia.com
 *
 * @wordpress-plugin
 * Plugin Name:       WP Ads.txt & App-ads.txt
 * Plugin URI:        https://www.orcapia.com/plugins/plugin-wp-ads-txt/
 * Description:       A simple WordPress plugin that lets you manage ads.txt and app-ads.txt. Please note the plugin will only display the text files correctly if your site has it own domain and are configured at the root directory (in accordance with ads.txt  specifications).
 * Version:           1.2.13
 * Author:            orcapia.com
 * Author URI:        https://www.orcapia.com/
 * Text Domain:       wp-ads-txt
 * License:           GPL
 * License URI:       http://www.gnu.org/licenses/gpl.html
 * Domain Path:       /languages
 */
defined('ABSPATH') or die("No direct access");if ( ! defined( 'WP_ADS_TXT_FILE' ) ) { define( 'WP_ADS_TXT_FILE', __FILE__ ); } include_once dirname( __FILE__ ) . '/includes/wp-ads-txt-init.php'; function wp_ads_txt_on_activation() { if ( ! current_user_can( 'activate_plugins' ) ) return; $plugin = isset( $_REQUEST['plugin'] ) ? $_REQUEST['plugin'] : ''; check_admin_referer( "activate-plugin_{$plugin}" ); if (function_exists('wp_ads_txt_activate')) wp_ads_txt_activate(); } function wp_ads_txt_on_deactivation() { if ( ! current_user_can( 'activate_plugins' ) ) return; $plugin = isset( $_REQUEST['plugin'] ) ? $_REQUEST['plugin'] : ''; check_admin_referer( "deactivate-plugin_{$plugin}" ); if (function_exists('wp_ads_txt_deactivate')) wp_ads_txt_deactivate(); } function wp_ads_txt_on_uninstall() { if ( ! current_user_can( 'activate_plugins' ) ) return; check_admin_referer( 'bulk-plugins' ); if ( __FILE__ != WP_UNINSTALL_PLUGIN ) return; if (function_exists('wp_ads_txt_uninstall')) wp_ads_txt_uninstall(); } register_activation_hook( __FILE__, 'wp_ads_txt_on_activation' ); register_deactivation_hook( __FILE__, 'wp_ads_txt_on_deactivation' ); register_uninstall_hook( __FILE__, 'wp_ads_txt_on_uninstall' ); function wp_ads_txt_load_textdomain() { load_plugin_textdomain( 'wp-ads-txt', false, basename( dirname( __FILE__ ) ) . '/languages' ); } add_action( 'plugins_loaded', 'wp_ads_txt_load_textdomain' );